## freezer 9.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
botocore>=1.5.1 # Apache-2.0
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=21.0.0 # PSF/ZPL
pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-freezerclient>=2.0.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.config>=6.0.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
os-brick>=2.2.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0

cryptography>=2.1 # Apache-2.0
PyMySQL>=0.7.6 # MIT License
pymongo!=3.1,>=3.0.2 # Apache-2.0
paramiko>=2.0.0 # LGPLv2.1+

apscheduler>=3.0.5 # MIT License
psutil>=3.2.2 # BSD

=== debian/changelog ===
freezer (9.0.0-2) unstable; urgency=medium

  * Added initial debconf templates translations:
    - fr.po thanks to Jean-Pierre Giraud (Closes: #969724).
    - nl.po thanks to Frans Spiesschaert (Closes: #969343).
    - de.po thanks to Helge Kreutzmann (Closes: #968855).

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Nov 2020 09:56:44 +0100

freezer (9.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.
  * Add import unittest in feature-cindernative-return-cinder-backup-id.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 22:38:17 +0200

freezer (9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Refresh feature-cindernative-return-cinder-backup-id.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Oct 2020 14:43:23 +0200

freezer (8.0.0-2) unstable; urgency=medium

  * Add fix-jenkins-build.patch
  * Add feature-cindernative-return-cinder-backup-id.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 12 Aug 2020 16:18:54 +0200

freezer (8.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #966567).

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 31 Jul 2020 14:57:56 +0200

=== debian/control ===
Source: freezer
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Michal Arbet <michal.arbet@ultimum.io>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
 python3-sphinxcontrib.apidoc,
Build-Depends-Indep:
 python3-apscheduler,
 python3-astroid,
 python3-botocore,
 python3-cinderclient,
 python3-cryptography,
 python3-ddt (>= 1.0.1),
 python3-freezerclient,
 python3-glanceclient,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-mock,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-os-brick,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-paramiko,
 python3-psutil,
 python3-pygments,
 python3-pymongo,
 python3-pymysql,
 python3-stestr,
 python3-swiftclient,
 python3-tempest,
 python3-testtools,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/services/freezer
Vcs-Git: https://salsa.debian.org/openstack-team/services/freezer.git
Homepage: https://wiki.openstack.org/wiki/Freezer

Package: python3-freezer
Section: python
Architecture: all
Depends:
 python3-apscheduler,
 python3-botocore,
 python3-cinderclient,
 python3-cryptography,
 python3-freezerclient,
 python3-glanceclient,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-neutronclient,
 python3-novaclient,
 python3-os-brick,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-paramiko,
 python3-psutil,
 python3-pymongo,
 python3-pymysql,
 python3-swiftclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack backup restore and disaster recovery service - Python files
 Freezer is a distributed backup restore and disaster recovery as a service
 platform. It is designed to be multi OS (Linux, Windows, OSX, *BSD), focused
 on providing efficiency and flexibility for block based backups, file based
 incremental backups, point-in-time actions, jobs synchronization (i.e.
 backup synchronization over multiple nodes) and many other features.
 It is aimed at being useful for all environments, including large
 ephemeral Clouds.
 .
 This package contains the Python libraries.

Package: freezer-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack backup restore and disaster recovery service - Documentation
 Freezer is a distributed backup restore and disaster recovery as a service
 platform. It is designed to be multi OS (Linux, Windows, OSX, *BSD), focused
 on providing efficiency and flexibility for block based backups, file based
 incremental backups, point-in-time actions, jobs synchronization (i.e.
 backup synchronization over multiple nodes) and many other features.
 It is aimed at being useful for all environments, including large
 ephemeral Clouds.
 .
 This package contains the documentation.

Package: freezer-scheduler
Architecture: all
Depends:
 adduser,
 debconf,
 python3-freezer (=${source:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack backup restore and disaster recovery service
 Freezer is a distributed backup restore and disaster recovery as a service
 platform. It is designed to be multi OS (Linux, Windows, OSX, *BSD), focused
 on providing efficiency and flexibility for block based backups, file based
 incremental backups, point-in-time actions, jobs synchronization (i.e.
 backup synchronization over multiple nodes) and many other features.
 It is aimed at being useful for all environments, including large
 ephemeral Clouds.
 .
 This package contains scheduler daemon.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

FREEZER_SCHEDULER_CONF=$(CURDIR)/debian/freezer-scheduler/usr/share/freezer-scheduler/freezer-scheduler.conf

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	python3 setup.py clean
	rm -rf .testrepository
	rm -f .coverage
	rm -rf cover
	rm -rf *egg-info
	find .  -type d -name __pycache__ -exec rm -r {} \+
	find . -type f -name "*.py[c|o]" -delete

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func freezer-scheduler.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func freezer-scheduler.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm freezer-scheduler.postrm

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Doing nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		PYTHON=python$$i python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	pkgos-dh_auto_test --no-py2 'freezer.tests.unit'

endif

	# Generate configs for scheduler
	mkdir -p $(CURDIR)/debian/freezer-scheduler/usr/share/freezer-scheduler
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file=$(FREEZER_SCHEDULER_CONF) \
		--wrap-width 140 \
		--namespace freezer-scheduler \
		--namespace oslo.log \

	# Re-add missing options
	pkgos-add-missing-options $(FREEZER_SCHEDULER_CONF) DEFAULT debian/freezer-scheduler-conf-missing-options

	# Fix config default values
	pkgos-fix-config-default $(FREEZER_SCHEDULER_CONF) DEFAULT log_dir /var/log/freezer
	pkgos-fix-config-default $(FREEZER_SCHEDULER_CONF) DEFAULT log_file freezer-scheduler.log

	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/freezer-doc/usr/share/doc/freezer-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/freezer/tags .*/(\d[brc\d\.]+)\.tar\.gz

## freezer 11.0.0

=== debian/changelog ===
freezer (11.0.0-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:37:36 +0000

freezer (11.0.0-2) unstable; urgency=medium

  * Added spanish translation of the debconf template thanks to Camaleón
    (Closes: #988378).
  * Added portuguese translation of the debconf template thanks to Américo
    Monteiro (Closes: #982751).

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Dec 2021 11:43:40 +0100

freezer (11.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:06:20 +0200

freezer (11.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 23:54:58 +0200

freezer (11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Sep 2021 10:34:53 +0200

freezer (10.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 12:43:03 +0200

freezer (10.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 19:03:06 +0200

freezer (10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fix b-d.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Mar 2021 14:30:10 +0100

## freezer 12.0.0

=== debian/changelog ===
freezer (12.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 16:12:14 +0200

freezer (12.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 Mar 2022 10:13:06 +0100

freezer (12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Mar 2022 18:10:13 +0100

## freezer 13.0.0

=== requirements.txt ===
--- 
+++ 
@@ -19,10 +19,10 @@
 os-brick>=2.2.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
 
-cryptography>=2.1 # Apache-2.0
+cryptography>=2.5 # Apache-2.0
 PyMySQL>=0.7.6 # MIT License
 pymongo!=3.1,>=3.0.2 # Apache-2.0
-paramiko>=2.0.0 # LGPLv2.1+
+paramiko>=2.7.1 # LGPLv2.1+
 
 apscheduler>=3.0.5 # MIT License
 psutil>=3.2.2 # BSD

=== debian/changelog ===
freezer (13.0.0-2) unstable; urgency=medium

  * Fix python3 shebang (Closes: #1030269).

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Feb 2023 14:21:02 +0100

freezer (13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 08:34:44 +0200

freezer (13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 18:23:17 +0200

freezer (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2022 09:22:56 +0200

=== debian/rules ===
--- 
+++ 
@@ -62,4 +62,5 @@
 	dh_sphinxdoc
 endif
 
-
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3

## freezer 14.0.0

=== debian/changelog ===
freezer (14.0.0-3) unstable; urgency=medium

  * Cleans properly (Closes: #1044531).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Aug 2023 16:50:40 +0200

freezer (14.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Removed obsolete lsb-base depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 14:06:14 +0200

freezer (14.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 15:16:09 +0100

freezer (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Mar 2023 16:10:49 +0100

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,8 @@
 	rm -rf *egg-info
 	find .  -type d -name __pycache__ -exec rm -r {} \+
 	find . -type f -name "*.py[c|o]" -delete
+	rm -rf doc/source/reference/api doc/source/_static/freezer.conf.sample
+	rm -rf build
 
 override_dh_auto_build:
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func freezer-scheduler.config

## freezer 15.0.0

=== debian/changelog ===
freezer (15.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uplaoding go unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 10:12:19 +0200

freezer (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Sep 2023 10:25:15 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  python3-botocore,
  python3-cinderclient,
  python3-cryptography,
- python3-ddt (>= 1.0.1),
+ python3-ddt,
  python3-freezerclient,
  python3-glanceclient,
  python3-keystoneauth1,
@@ -116,7 +116,6 @@
  python3-pastescript,
  q-text-as-data,
  ${misc:Depends},
- ${ostack-lsb-base},
  ${python3:Depends},
 Description: OpenStack backup restore and disaster recovery service
  Freezer is a distributed backup restore and disaster recovery as a service

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,8 @@
 	find .  -type d -name __pycache__ -exec rm -r {} \+
 	find . -type f -name "*.py[c|o]" -delete
 	rm -rf doc/source/reference/api doc/source/_static/freezer.conf.sample
-	rm -rf build
+	rm -rf build debian/freezer-scheduler.postinst debian/freezer-scheduler.config debian/freezer-scheduler.init debian/freezer-scheduler.postrm debian/freezer-scheduler.service
+	rm -rf doc/source/_static
 
 override_dh_auto_build:
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func freezer-scheduler.config

## freezer api-17.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
elasticsearch<3.0.0,>=2.0.0 # Apache-2.0
falcon>=1.0.0 # Apache-2.0
jsonschema>=3.2.0 # MIT
keystonemiddleware>=4.17.0 # Apache-2.0
Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.db>=4.44.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=4.5.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
SQLAlchemy>=1.2.19 # MIT
alembic>=1.8.0 # MIT
